=== tools/CMakeLists.txt ===
add_subdirectory("dde-keyring-checker")
add_subdirectory("dde-version-checker")
add_subdirectory("dde-xsettings-checker")
add_subdirectory("dde-quick-login")
add_subdirectory("dde-oom-score-adj")
