=== debian/control ===
Source: dde-session
Section: devel
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
 cmake,
 debhelper-compat (= 11),
 libcap-ng-dev,
 libdtk6core-dev,
 libdtk6core-bin,
 libglib2.0-dev,
 libsecret-1-dev,
 libsystemd-dev,
 libx11-dev,
 libxcursor-dev,
 libxfixes-dev,
 pkg-config,
 qt6-base-dev,
Standards-Version: 4.1.3
Homepage: https://www.deepin.org

Package: dde-session
Architecture: any
Depends:
 jq,
 sed (>= 4),
 dde-daemon (>= 6.1.26),
 libdtkdata (>=5.7.18),
 libdtk6core (>=6.0.38),
 systemd,
 ${misc:Depends},
 ${shlibs:Depends},
Description: dde session module
  dde-session is used for launching DDE components systemd service project.
